Support » Plugin: Flexible Checkout Fields for WooCommerce » Website error Strict Standards – Please Help

  • Resolved youthsoccer

    (@youthsoccer)


    Since installing the Flexible Checkout Fields PRO my website now is showing an error message (see below) at the header of the page. When I deactivate this plugin then it goes back to normal. What can I do to use this plugin that I need so much? Thanks!

    Strict Standards: Flexible_Checkout_Fields_Order_Metabox and WPDesk\PluginBuilder\Plugin\PluginAccess define the same property ($plugin) in the composition of Flexible_Checkout_Fields_Order_Metabox. This might be incompatible, to improve maintainability consider using accessor methods in traits instead. Class was composed in /homepages/37/d537103817/htdocs/wordpress/wp-content/plugins/flexible-checkout-fields-pro/classes/flexible-checkout-fields-order-metabox.php on line 279

    Plugin is up to date 1.10.1. I deactivated the plugin.

    The page I need help with: [log in to see the link]

Viewing 1 replies (of 1 total)
  • Plugin Contributor dyszczo

    (@dyszczo)

    Hi @youthsoccer,

    displaying error messages should be disabled for production sites. Please disable it by addding:
    define( 'WP_DEBUG_DISPLAY', false );
    to your config file (more info https://wordpress.org/support/article/debugging-in-wordpress/) and everything should be just fine.

    As for the strict standard notice that you’ve pasted, it’s a piece of info for the developers that something can be done in a better way

    to improve maintainability consider using

    .
    Thank you for the info, we will fix it 🙂

    Best regards,
    dyszczo

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.